/*
 * @Author: wanglj 471442253@qq.com
 * @Date: 2022-12-29 09:40:35
 * @LastEditors: wanglj
 * @LastEditTime: 2022-12-29 16:17:12
 * @Description: file content
 * @FilePath: \opms_frontend\src\api\customer\follow.js
 */
import micro_request from '@/utils/micro_request'

const basePath = process.env.VUE_APP_ParentPath
export default {
  // 跟进记录列表
  getList(query) {
    return micro_request.postRequest(basePath, 'FollowUp', 'GetList', query)
  },
  // 跟进记录详情
  getListByDay(query) {
    return micro_request.postRequest(basePath, 'FollowUp', 'GetListByDay', query)
  },
  // 添加跟进记录
  addFollowUp(query) {
    return micro_request.postRequest(basePath, 'FollowUp', 'Create', query)
  },
  // 评论列表
  getComment(query) {
    return micro_request.postRequest(basePath, 'FollowUpComment', 'GetList', query)
  },
  // 添加评论
  addComment(query) {
    return micro_request.postRequest(basePath, 'FollowUpComment', 'Create', query)
  },
}
